export class JiraApi {
    private context
    private issues
    private codefreshAPI

    constructor(context, codefreshAPI) {
        this.context = context
        this.issues = {
            getIssue: this.getIssue.bind(this),
        }
        this.codefreshAPI = codefreshAPI
    }

    async getIssue({ issueIdOrKey }) {
        return this.codefreshAPI.getJiraIssue(this.context, issueIdOrKey)
    }
}
